Endpoints
Search Fragrance Note Groups
Returns a page of fragrance note groups. Pass ids to keep specific groups.
Authorization
APIKeyHeader licensex-api-key<token>
In: header
Scope: license
Query Parameters
ids?array<>|
Group ids to include.
query?|
Case-insensitive substring matched against the name, labels, and description.
skip?Skip
The number of records to skip before fetching a page.
Default
0Range
0 <= valuetake?Take
Number of records to return.
Default
100Range
0 <= value <= 100sortColumn?FragranceNoteGroupSortColumns
Field to sort by.
Default
"name"Value in
"name"sortDirection?SortDirections
Sort direction.
Default
"desc"Value in
"asc" | "desc"returnTotal?Returntotal
When true, the response includes the total number of matching groups.
Default
falseResponse Body
application/json
application/json
curl -X GET "https://connect-api.trendtracker.ai/facts/fragrance-note-groups"{
"data": [
{
"createdAt": "2019-08-24T14:15:22Z",
"modifiedAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"labels": [
"string"
],
"description": "string",
"image": "string",
"metadata": {
"fragrantica": "string"
}
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}